# code details

EXE_DIR = .
EXE = $(EXE_DIR)/main

SRC= main.c init.c loadMedia.c cleanUp.c loadSurface.c setNulls.c
# generic build details

CC =     gcc
CFLAGS = -Wall -O
LIBS =   -lSDL2 -lSDL2_image

# compile to  object code

OBJ= $(SRC:.c=.o)

.c.o:
	$(CC) $(CFLAGS) -c -o $@ $<

# build executable

$(EXE): $(OBJ)
	$(CC) $(OBJ) -o $(EXE) $(LIBS)

# clean up compilation

clean:
	rm -f $(OBJ) $(EXE)

# dependencies

main.o: main.c main.h
init.o: init.c main.h
loadMedia.o: loadMedia.c
cleanUp.o: cleanUp.c
loadSurface.o: loadSurface.c
setNulls.o: setNulls.c
